Subject: Re: How do I compare "unstable/source" to "unstable/binary-m68k"

From: Ian Jackson <[email-masked]>
Date: Thu, 8 Aug 96 15:33 BST

Guy Maor writes in private email - I hope he won't mind me posting:
> On Thu, 1 Aug 1996, Ian Jackson wrote:
> > [email-masked] writes:
> > > I'd like to see where we sit as far as catching up and was wondering if 
> > > anyone has a nice little script that will compare the source directory to 
> > > the binary directory and report the differences.
> > > 
> > > I put together a little script to do it, but it's not the greatest...
> > 
> > It can't be done at the moment, because the information isn't in the
> > various files.
> 
> The information isn't in the files, but it's in the filenames.

I'm afraid it isn't, because you can't tell just by looking at a .deb
file which version of the source it was made from - or even, in some
cases, which source package it came from at all.

The new source packaging scheme and the tools that go with it put a
Source line in the .deb file with the name and the version number if
necessary.

I think that since at the moment all the primary maintainers are
building for i386 you'd be best off to compare binary-i386 with
binary-m68k.

When we've converted the packages you can do what you want easily.

Ian.